<?php
defined('C5_EXECUTE') or die('Access Denied.');

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */

?>
<fieldset style="margin-top:20px;">
    <div class="form-group">
        <?php
        echo $form->label('heading', t('List heading'));
        echo $form->text('heading', $heading ?? '', ['minlength' => 0, 'maxlength' => 255, 'placeholder' => t('Optional heading for list')]);
        ?>
    </div>
    <div class="form-group">
        <?php
        echo $form->label('progress_option', t('Progress summary'));
        echo $form->select('progress_option', $controller->getProgressOptions(), $progress_option ?? '');
        echo ' ';
        ?>
    </div>
    <div class="form-group">
        <?php
        echo $form->label('link_to_form_page', t('Link each form to form page'));
        echo $form->select('link_to_form_page', $controller->getLinkOptions(), $link_to_form_page ?? '');
        echo ' ';
        ?>
    </div>
    <div class="form-group">
        <?php
        echo $form->label('sort_option', t('Sort results'));
        echo $form->select('sort_option', $controller->getSortOptions(), $sort_option ?? '');
        echo ' ';
        ?>
    </div>
    <div class="form-group">
        <?php
        echo $form->label('incomplete_message', t('Incomplete message'));
        echo $form->text('incomplete_message', $incomplete_message ?? '', ['minlength' => 0, 'maxlength' => 255, 'placeholder' => t('Optional note to show for forms that have not been completed')]);
        ?>
    </div>
    <div class="form-group">
        <?php
        echo $form->label('completed_message', t('Completed message'));
        echo $form->text('completed_message', $completed_message ?? '', ['minlength' => 0, 'maxlength' => 255, 'placeholder' => t('Optional note to show for forms that have been completed')]);
        ?>
    </div>

    <div class="form-group">
        <?php
        echo $form->label('form_page_column_label', t('Form/Page column label'));
        echo $form->text('form_page_column_label', $form_page_column_label ?? '', ['minlength' => 0, 'maxlength' => 255, 'placeholder' => t('Form/Page column label')]);
        ?>
    </div>
    <div class="form-group">
        <?php
        echo $form->label('status_column_label', t('Status column label'));
        echo $form->text('status_column_label', $status_column_label ?? '', ['minlength' => 0, 'maxlength' => 255, 'placeholder' => t('Status column label')]);
        ?>
    </div>
</fieldset>