<?php
defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\View\View;

/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */

/*
 * For compatibility between UCP plugin and block dialogue.
 * This now goes to a more general element akin to the way UCP dialogues are built.
 *
 * We only do this for the filter settings because in UCP it is a source, so results
 * pagination etc. are not relevant (handled by other UCP stages)
 */
?>
<fieldset style="margin-top:20px;">
    <?php
    View::element('edit/filter',
                  [
                      'controller'                  => $controller,
                      'plugin'                      => $controller,
                      'app'                         => $app,
                      'form'                        => $form,
                      'data'                        => $controller->get('filter_configuration'),
                      'data_store_is_user_specific' => false,
                  ],
                  'jl_form_reform_display');
    ?>
</fieldset>
<fieldset>
    <?php
    View::element('edit/data_filter',
                  [
                      'controller'                  => $controller,
                      'plugin'                      => $controller,
                      'app'                         => $app,
                      'form'                        => $form,
                      'json_filter_configuration'   => $controller->get('json_filter_configuration'),
                      'data_store_is_user_specific' => false,
                  ],
                  'jl_form_reform_display');
    ?>
</fieldset>
