<?php
defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\Package\PackageService;

/*
/*
 * Software by John Liddiard (aka JohntheFish)
 * www.c5magic.co.uk
 *
 * This package contains software copyright and proprietary to John Liddiard
 *
 */
$a = '<b>';
$b = '</b>';

?>
    <div class="container">
        <div class="row">
            <div class="col-12 col-sm-12">
                <div class="alert alert-warning">
                    <?php
                    echo t('Before installing %sForm Reform Display%s, please ensure any other addons by %sJohntheFish%s already installed are up-to-date.',
                           $a, $b, $a, $b
                    );
                    ?>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12 col-sm-12">
                <p>
                    <?php
                    echo t('%sForm Reform Display%s provides blocks to List, display and summarize form submissions from %sForm Reform%s.',
                           $a, $b,
                           $a, $b,
                    );
                    ?>
                </p>
            </div>
        </div>
    </div>

<?php
$form_reform = app()->make(PackageService::class)->getByHandle('jl_form_reform');
if (is_object($form_reform) && version_compare($form_reform->getPackageVersion(), '9.3.9', '>')) {
    View::element('/dashboard/family', [], 'jl_form_reform');
}


